Module | Sequel::Oracle::DatabaseMethods
In: | lib/sequel/adapters/shared/oracle.rb

### Methods

create_sequence create_trigger database_type drop_sequence table_exists? tables

### Constants

TEMPORARY | = | 'GLOBAL TEMPORARY '.freeze
AUTOINCREMENT | = | ''.freeze

### Public Instance methods

create_sequence(name, opts={})

[Source]

       # File lib/sequel/adapters/shared/oracle.rb, line 7
    7:       def create_sequence(name, opts={})
    8:         self << create_sequence_sql(name, opts)
    9:       end

create_trigger(*args)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 11
    11:       def create_trigger(*args)
    12:         self << create_trigger_sql(*args)
    13:       end

database_type()

Oracle uses the :oracle database type

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 20
    20:       def database_type
    21:         :oracle
    22:       end

drop_sequence(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 15
    15:       def drop_sequence(name)
    16:         self << drop_sequence_sql(name)
    17:       end

table_exists?(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 29
    29:       def table_exists?(name)
    30:         from(:tab).filter(:tname =>dataset.send(:input_identifier, name), :tabtype => 'TABLE').count > 0
    31:       end

tables(opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 24
    24:       def tables(opts={})
    25:         ds = from(:tab).server(opts[:server]).select(:tname).filter(:tabtype => 'TABLE')
    26:         ds.map{|r| ds.send(:output_identifier, r[:tname])}
    27:       end

[Validate]